Skip to main content
POST
/
v1
/
claims
/
offline
Create Offline Claim
curl --request POST \
  --url https://api.production.orderprotection.com/v1/claims/offline \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer": {
    "email": "customer@example.com",
    "phoneNumber": "+1234567890"
  },
  "item": {
    "sourceProductId": "product_123",
    "sourceVariantId": "variant_123",
    "name": "Product Name",
    "images": [
      "https://example.com/image1.jpg",
      "https://example.com/image2.jpg"
    ],
    "sourceItemId": "item_123",
    "sku": "SKU-12345",
    "details": "Product details and description of the issue",
    "productImage": "https://example.com/product.jpg",
    "price": 99.99,
    "subIssueId": "sub_issue_123"
  },
  "warranty": {
    "dateOfPurchase": "2024-01-15T00:00:00.000Z",
    "receiptRequired": true,
    "receiptImages": [
      "https://example.com/receipt.jpg"
    ],
    "warrantyPeriod": "P1Y",
    "productDescription": "Description of the product and its condition"
  },
  "shippingAddress": {
    "firstName": "John",
    "lastName": "Smith",
    "address1": "123 Main St",
    "city": "New York",
    "zip": "10001",
    "country": "United States",
    "address2": "Apt 1",
    "state": "NY",
    "stateAbr": "NY",
    "countryAbr": "US",
    "lat": 40.7128,
    "lng": -74.006,
    "addressOrigin": "CONCIERGE"
  },
  "storeId": "store_123",
  "signature": "https://example.com/signature.png",
  "salesChannel": "IN_STORE",
  "claimCategory": "WARRANTY",
  "issueType": "DEFECTIVE_ITEM",
  "resolution": "REFUND",
  "claimFiledFrom": "EXTERNAL",
  "options": {
    "fromValet": false,
    "requireCustomerSignature": false
  }
}
'
{
  "status": "ok",
  "payload": {
    "sourceOrderId": "XX-1234-1234",
    "customer": {
      "email": "customer@example.com",
      "phoneNumber": "+1234567890"
    },
    "item": {
      "sourceProductId": "product_123",
      "sourceVariantId": "variant_123",
      "name": "Product Name",
      "images": [
        "https://example.com/image1.jpg",
        "https://example.com/image2.jpg"
      ],
      "sourceItemId": "item_123",
      "sku": "SKU-12345",
      "details": "Product details and description of the issue",
      "productImage": "https://example.com/product.jpg",
      "price": 99.99,
      "subIssueId": "sub_issue_123"
    },
    "warranty": {
      "dateOfPurchase": "2024-01-15T00:00:00.000Z",
      "receiptRequired": true,
      "receiptImages": [
        "https://example.com/receipt.jpg"
      ],
      "warrantyPeriod": "P1Y",
      "productDescription": "Description of the product and its condition"
    },
    "shippingAddress": {
      "firstName": "John",
      "lastName": "Smith",
      "address1": "123 Main St",
      "city": "New York",
      "zip": "10001",
      "country": "United States",
      "address2": "Apt 1",
      "state": "NY",
      "stateAbr": "NY",
      "countryAbr": "US",
      "lat": 40.7128,
      "lng": -74.006,
      "addressOrigin": "CONCIERGE"
    },
    "storeId": "store_123",
    "signature": "https://example.com/signature.png",
    "salesChannel": "IN_STORE",
    "claimCategory": "WARRANTY",
    "issueType": "DEFECTIVE_ITEM",
    "resolution": "REFUND"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt

Use this file to discover all available pages before exploring further.

Warranty claims for orders that were made through an alternative sales channel not through your online store.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customer
object
required
item
object
required
warranty
object
required
shippingAddress
object
required
storeId
string
required

The store identifier

Example:

"store_123"

signature
string<uri>
required

Customer signature image URL (can be empty string)

Example:

"https://example.com/signature.png"

salesChannel
enum<string>
required

The sales channel for the claim

Available options:
ONLINE,
IN_STORE
Example:

"IN_STORE"

claimCategory
enum<string>
required

The category of the claim

Available options:
SHIPPING,
WARRANTY
Example:

"WARRANTY"

issueType
enum<string>
required

The type of issue being claimed

Available options:
STOLEN,
DAMAGED,
ORDER_DELIVERED_NOT_RECEIVED,
DEFECTIVE_ITEM,
WRONG_ITEM,
MISSING_ITEM,
RETURNED_TO_SENDER,
MULTIPLE,
TRACKING_NOT_MOVING,
WRONG_ADDRESS
Example:

"DEFECTIVE_ITEM"

resolution
enum<string>
required

The requested resolution method

Available options:
RESHIP,
REFUND,
STORE_CREDIT
Example:

"REFUND"

claimFiledFrom
enum<string>
default:EXTERNAL

Indicates where the claim was filed from

Available options:
EXTERNAL,
INTERNAL
Example:

"EXTERNAL"

options
object

Additional options for claim creation

Response

status
string
required
read-only
Example:

"ok"

payload
object
required
read-only